Skip to main content
POST
/
2026-01
/
retail-media
/
retailers
/
{retailerId}
/
recommend-categories
/2026-01/retail-media/retailers/{retailerId}/recommend-categories
curl --request POST \
  --url https://api.criteo.com/2026-01/retail-media/retailers/{retailerId}/recommend-categories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "<string>"
  }
}
'
{
  "data": [
    {
      "attributes": {
        "name": "<string>",
        "parentId": "<string>",
        "text": "<string>"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

retailerId
string<int32>
required

Retailer id.

Body

application/json

Request of recommended categories.

A top-level object that encapsulates a Criteo API request for a single value objects.

data
object

A value resource exposed by the API.

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for several entities.

data
object[] | null
errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.